<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 * Автор yadalay
 */

if (access('forum_post_ed')) {

    $d_posts = $_POST['act'];
    $count_p = count($d_posts);

    if ($count_p != 0) {
        for ($i = 0; $i < $count_p; $i++) {
            if (isset($_POST['delete_posts'])) {
                $db->query('DELETE FROM `forum_posts` WHERE `id` = ' . intval($d_posts[$i]));
            } elseif (isset($_POST['hide_posts'])) {
                $db->query('UPDATE `forum_posts` SET `hide` = "1", `id_admin` = ' . $user['id'] . ' WHERE `id` = ' . intval($d_posts[$i]));
            } elseif (isset($_POST['display_posts'])) {
                $db->query('UPDATE `forum_posts` SET `hide` = "0", `id_admin` = "0" WHERE `id` = ' . intval($d_posts[$i]));
            }
        }

        if (isset($_POST['delete_posts'])) {
            $_SESSION['message'] = lang('Успешно удалено') . " " . lang(sklon_text($count_p, array(lang('пост'), lang('поста'), lang('постов'))));
            #Уведомляем об чистке темы
            $msg_sys = "[url=/id$user[id]]$user[nick][/url] " . ($user['sex'] ? '' . lang('почистил') . '' : '' . lang('почистила') . '') . " " . lang('тему. Было удалено') . " " . lang(sklon_text($count_p, array('пост', 'поста', 'постов'))) . ".";

            $db->query('INSERT INTO `forum_posts` SET `id_theme` = ' . $theme->id . ', `id_user` = "0", `id_admin` = "0", `text` = "' . mysql_real_escape_string($msg_sys) . '", `time` = ' . $time);
        } elseif (isset($_POST['hide_posts'])) {
            $_SESSION['message'] = lang('Успешно скрыто') . " " . lang(sklon_text($count_p, array(lang('пост'), lang('поста'), lang('постов'))));
        } elseif (isset($_POST['display_posts'])) {
            $_SESSION['message'] = lang('Успешно показано вновь') . " " . lang(sklon_text($count_p, array(lang('пост'), lang('поста'), lang('постов'))));
        }
    } else {
        echo "<div class='alert alert-danger'>" . lang('Выбрано 0 элементов. Удаление недоступно.') . "</div>";
    }
}

header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '.html');
exit;
